{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "a6732353-51d5-4478-9cf8-5834e57e5a4e",
   "metadata": {},
   "source": [
    "# Chapter 1 Notes"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "48d9ec9e-83da-40ca-ae79-3c45f8af137c",
   "metadata": {},
   "source": [
    "## Main Concepts\n",
    "\n",
    "Outcome: A result of a random experiment.\n",
    "\n",
    "Sample Space: The set of all possible outcomes.\n",
    "\n",
    "Event: A subset of the sample space.\n",
    "\n",
    "Inclusion-exclusion principle holds for probability\n",
    "\n",
    "Consider a sample space S. If S is a countable set, this refers to a discrete probability\n",
    "mode\n"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "7ac122be-50b2-423c-b88f-e4b3327b21bd",
   "metadata": {},
   "source": [
    "## Example Problems"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "7fb87a35-a470-4d98-935f-80c814e3f95d",
   "metadata": {},
   "source": [
    "Example 1.5 - soln\n",
    "\n",
    "- there are 10 people with white shirts and 8 people with red shirts;\n",
    "- 4 people have black shoes and white shirts\n",
    "- 3 people have black shoes and red shirts\n",
    "- the total number of people with white or red shirts or black shoes is 21\n",
    "\n",
    "Let A be the set of people with white shirts, B be the set of people with red shirts and let C be the set of people with black shoes.\n",
    "\n",
    "\\begin{align*}\n",
    "|A|=10 \\\\\n",
    "|B|=8 \\\\\n",
    "|A \\cap C| = 4 \\\\\n",
    "|B \\cap C| = 3 \\\\\n",
    "|A \\cup B \\cup C| = 21\n",
    "\\end{align*}\n",
    "\n",
    "Now we solve for $|C|$:\n",
    "\n",
    "\\begin{align*}\n",
    "|A| + |B| + |C| - |A \\cap B| - |A \\cap C| - |B \\cap C| + |A \\cap B \\cap C| = 21 \\\\\n",
    "10 + 8 + |C| - 0 - 4 - 3 - 0 = 21 \\\\\n",
    "18 + |C| - 7 = 21 \\\\\n",
    "|C| + 11 = 21 \\\\\n",
    "|C| = 10\n",
    "\\end{align*}\n",
    "\n",
    "$\\therefore$ number of people with black shoes is 10\n"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "72b40733-531a-48f3-9879-75601684afc2",
   "metadata": {},
   "source": [
    "Example 1.11 - soln\n",
    "\n",
    "Suppose we have the following information:\n",
    "1. There is a 60 percent chance that it will rain today.\n",
    "2. There is a 50 percent chance that it will rain tomorrow.\n",
    "3. There is a 30 percent chance that it does not rain either day.\n",
    "\n",
    "T = rains\n",
    "F = no rain\n",
    "\n",
    "$S = \\{(F, F), (F, T), (T, F), (T, T)\\}$\n",
    "\n",
    "$P((T, F) \\cup (T, T)) = 0.6$\n",
    "\n",
    "$P((F, T) \\cup (T, T)) = 0.5$\n",
    "\n",
    "$P((F, F)) = 0.3$\n",
    "\n",
    "\\begin{align*}\n",
    "P(S) = 1 \\\\\n",
    "P(\\{(F, F)\\} \\cup \\{(F, T)\\} \\cup \\{(T, F)\\} \\cup \\{(T, T)\\}) = 1 \\\\\n",
    "P((F,F)) + P(\\{(F, T)\\} \\cup \\{(T, F)\\} \\cup \\{(T, T)\\}) = 1 \\\\\n",
    "0.3 + P(\\{(F, T)\\} \\cup \\{(T, F)\\} \\cup \\{(T, T)\\}) = 1 \\\\\n",
    "P(\\{(F, T)\\} \\cup \\{(T, F)\\} \\cup \\{(T, T)\\}) = 0.7 \\\\\n",
    "P(\\{(F, T)\\} \\cup \\{(T, T)\\}) + P((T, F)) = 0.7 \\\\\n",
    "0.5 + P((T, F)) = 0.7 \\\\\n",
    "P((T, F)) = 0.2 \\\\\n",
    "P(\\{(T, F)\\} \\cup \\{(T, T)\\}) + P((F, T)) = 0.7 \\\\\n",
    "P((F, T)) = 0.1\n",
    "\\end{align*}\n",
    "\n",
    "Find the following probabilities:\n",
    "\n",
    "a. The probability that it will rain today or tomorrow.\n",
    "\n",
    "\\begin{align*}\n",
    "P((T, F) \\cup (F, T) \\cup (T, T)) = 0.7\n",
    "\\end{align*}\n",
    "\n",
    "b. The probability that it will rain today and tomorrow.\n",
    "\n",
    "\\begin{align*}\n",
    "P((T, T)) = 1 - 0.3 - 0.2 - 0.1 = 0.4\n",
    "\\end{align*}\n",
    "\n",
    "c. The probability that it will rain today but not tomorrow.\n",
    "\n",
    "\\begin{align*}\n",
    "P((T, F)) = 0.2\n",
    "\\end{align*}\n",
    "\n",
    "d. The probability that it either will rain today or tomorrow, but not both.\n",
    "\n",
    "\\begin{align*} \n",
    "P(\\{(T, F)\\} \\cup \\{(F, T)\\}) = P((T, F)) + P((F, T)) = 0.2 + 0.1 = 0.3\n",
    "\\end{align*}\n",
    "\n"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "8b5131dd-5ebd-4156-b808-f8df273317fb",
   "metadata": {},
   "source": [
    "Example 1.12 - soln\n",
    "\n",
    "$S = \\{ -1, 0, 1, 2, 3, ... \\}$\n",
    "\n",
    "$\\forall x \\in S, P(x) = \\frac{1}{2^{x + 2}}$\n",
    "\n",
    "What is the probability that I win more than or equal to 1 dollar and less than 4 dollars?\n",
    "\n",
    "\\begin{align*} \n",
    "P({1, 2, 3}) = P(1) + P(2) + P(3) \\\\\n",
    "= 1/8 + 1/16 + 1/32\n",
    "\\end{align*}\n",
    "\n",
    "What is the probability that I win more than 2 dollars?\n",
    "\n",
    "\\begin{align*} \n",
    "\\sum_{i=3}^{\\infty} P(i) = P(3) + P(4) + P(5) + P(6) + ... \\\\\n",
    "= 1/32 + 1/64 + 1/128 + 1/256 + ... \\\\\n",
    "=\\frac{\\frac{1}{32}}{1 - \\frac{1}{2}}\n",
    "=\\frac{1}{16}\n",
    "\\end{align*}"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "69962960-18a6-436b-b9eb-9a6dfae7559a",
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "11163495-a6cc-43b9-bf41-02748b13d210",
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "roadmap (3.14.5)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.14.5"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
